
# This script gets the number of active sessions 
# for a named server and writes the date and the count to a CSV file.

######Configuration Area#########

$PerfObj = "Terminal Services" # Performance Object
$PerfCounter = "Active Sessions" # Performance Counter
$PerfCounterInst = "" # Performance Instance
$Server = "HELEN" # Server
$LogPath = "\\ozark\it$\Logs\"
$LogFileNAme = "-ActiveSessions.csv"

###############################

$LogFile = "$LogPath$Server$LogFileName"
$MonthDay = get-date -format "ddMMM"
$Year = get-date -format yyyy
$Time = get-date -format "HH:mm:ss"


$objPerfCounter = New-Object System.Diagnostics.PerformanceCounter($PerfObj,$PerfCounter,$PerfCounterInst,$Server)
$objPerfCounterData = "$MonthDay" + "," + "$Year" + "," + "$Time" + "," +$objPerfCounter.NextValue()  | out-File "$LogFile" -append
