# This script gets the % Processor Time for a named server 
#and writes the date and the count to a CSV file.

######Configuration Area#########

$PerfObj = "Processor" # Performance Object
$PerfCounter = "% Processor Time" # Performance Counter
$PerfCounterInst = "_Total" # Performance Instance
$Server = "HELEN" # Server
$LogPath = "\\ozark\it$\Logs\"
$LogFileNAme = "-PercentProcTimeTotal.csv"

###############################

$LogFile = "$LogPath$Server$LogFileName"
$MonthDay = get-date -format "ddMMM"
$Year = get-date -format yyyy
$Time = get-date -format "HH:mm:ss"

$objPerfCounter = New-Object System.Diagnostics.PerformanceCounter($PerfObj,$PerfCounter,$PerfCounterInst,$Server)
$objPerfCounterData = "$MonthDay" + "," + "$Year" + "," + "$Time" + "," +$objPerfCounter.NextValue()  | out-File "$LogFile" -append
