Option Explicit

Const ForWriting = 2

' Get Terminal server computer list from AD terminal server OU
' Write terminal server names to terminalservers.txt

Dim objFSO 'File System Object
Dim objTSOU 'Terminal Server OU
Dim objTSItem 'Each item in OU
Dim strTSComputer 'Each terminal server
Dim strTSTextFolder 'folder to hold text file
Dim strTSTextFile 'list of terminal servers in the OU
Dim strTSLDAPPath 'Path to terminal server OU
Dim objTSTextFile 'created text file

' =====Configuration Area================
strTSTextFile = "terminalservers.txt"
strTSTextFolder = "\\ozark\it$\"
strTSLDAPPath = "LDAP://OU=ASH_TerminalServers, DC=alpineskihouse, DC=com"
' =====End Configuration Area============
 
Set objTSOU = GetObject(strTSLDAPPath)
objTSOU.Filter = Array("Computer")	

'=========================================
' If file exists add data, if not, then create file and add data

Set objFSO = CreateObject("Scripting.FileSystemObject")	

If objFSO.FileExists(strTSTextFolder & strTSTextFile) Then	
'do nothing	
Else	
Set objTSTextFile = objFSO.CreateTextFile(strTSTextFolder & strTSTextFile)		
objTSTextFile.Close	
End If 	

Set objTSTextFile = objFSO.OpenTextFile(strTSTextFolder & strTSTextFile, ForWriting)
For Each objTSItem in objTSOU
    strTSComputer = objTSItem.CN
    objTSTextFile.WriteLine strTSComputer
Next

objTSTextFile.Close

WScript.Quit
