#Checks the current logon mode for the terminal server


$strComputer = "."

$termserv = get-wmiobject -class "Win32_TerminalServiceSetting" -namespace "root\CIMV2\terminalservices" `
-computername $strComputer

switch ($termserv.AllowTSConnections)
{

   0 {"User logons are disabled."}
   1 {"User logons are enabled."}
   default {"The user logon state cannot be determined."}
}

switch ($termserv.SessionBrokerDrainMode)
{

   0 {"Allow all connections."}
   1 {"Allow incoming reconnections but prohibit new connections."}
   2 {"Allow incoming reconnections but until reboot prohibit new connections."}
   default {"The user logon state cannot be determined."}

}
