' ==========================================
' This script runs the specified batch file and cleans up the output file.
' ==========================================


Option Explicit

Const ForReading = 1
Const ForWriting = 2

Dim objFSO ' File System Object
Dim objTSFile ' Gets and opens terminal servers text file
Dim objNewTSFile ' Gets and opens terminal servers text file
Dim objTSBATfile ' TS Batch file location
Dim strTSFile ' Terminal Servers text file
Dim strTSLines ' lines in text file
Dim strFileContents 'Contents of text file
Dim strEndofString ' Last line in text file
Dim intLength 'Length of contents
Dim WSHShell 'Script shell to run batch file

' =====Configuration Area================
objTSBATFile = "\\ozark\it$\BAT\termserv.bat"
' =====End Configuration Area============

' ==========================================
' Run batch file query termserv
' requires batch file
' batch file code is: query termserv >\\ozark\it$\terminalservers.txt

Set WSHShell = CreateObject("Wscript.Shell")  
WSHShell.Run (objTSBATFile),0, True

' ==========================================
' Query termserv command adds two l ines of header info to file
' This removes this extraneous information

' =====Configuration Area================
strTSFile = "\\ozark\it$\terminalservers.txt"
' =====Configuration Area================

Set objFSO = CreateObject("Scripting.FileSystemObject")
Set objTSFile = objFSO.OpenTextFile(strTSFile, ForReading)

Do until objTSFile.AtEndOfStream
objTSFile.SkipLine
objTSFile.SkipLine
strTSLines = objTSFile.ReadAll
Loop

objTSFile.close

' ==========================================
' Remove carriage return at end of file

Set objNewTSFile = objFSO.OpenTextFile(strTSFile, ForWriting)
objNewTSFile.Write strTSLines

Set objNewTSFile = objFSO.OpenTextFile(strTSFile, ForReading)
strTSLines = objNewTSFile.ReadAll
objNewTSFile.close

strFileContents = strTSLines
intLength = Len(strFileContents)
strEndofString = Right(strFileContents, 2)
If strEndofString = vbCrLf Then
                strFileContents = Left(strFileContents, intLength - 2)
                Set objNewTSFile = objFSO.OpenTextFile(strTSFile, ForWriting)
                objNewTSFile.Write strFileContents
                objNewTSFile.Close
End if

Set objTSFile = Nothing
Set objNewTSFile = Nothing
                                
wscript.quit

