' ====================================
' This script deletes all files in a specified directory and then 
' runs a specified batch file that creates an output file in the empty directory.
' ====================================


Option Explicit

' ===================================
' Delete all files in the directory

Dim objFSO
Dim sDirectoryPath ' The directory path where the processes.txt lives
Dim objFolder ' Folder to store the processes.txt file
Dim objFileCollection 'All files in the folder
Dim objTextFile 'Each file in the folder


' =====Configuration Area================
sDirectoryPath = "\\ozark\it$\processes\"
' =====End Configuration Area============

Set objFSO = CreateObject("Scripting.FileSystemObject")           
Set objFolder = objFSO.GetFolder(sDirectoryPath)

If objFolder.Files.count > 0 then
	Set objFileCollection = objFolder.Files
	For each objTextFile in objFileCollection
	objTextFile.Delete(True)
	Next
End if

' =====================================
' Run batch file

Dim objBATfile ' Batch file location
Dim WSHShell 'Script shell to run batch file

' =====Configuration Area================
objBATFile = "\\ozark\it$\BAT\processes.bat"
' =====End Configuration Area============

Set WSHShell = CreateObject("Wscript.Shell")  
WSHShell.Run (objBATFile),0, True

WScript.Quit
