# This script gets Memory Committed Bytes for a named server
# and writes the date and the count to a CSV file.

######Configuration Area#######
$PerfObj = "Memory" # Performance Object Category
$PerfCounter = "Committed Bytes" # Performance Counter
$PerfCounterInst = "" # Performance Instance
$Server = "OZARK" # Server
$LogPath = "\\ozark\it$\Logs\"
$LogFileNAme = "-Memory-Committed-Bytes.csv"
###############################

$LogFile = "$LogPath$Server$LogFileName"
$MonthDay = get-date -format "ddMMM"
$Year = get-date -format yyyy
$Time = get-date -format "HH:mm:ss"

$objPerfCounter = New-Object System.Diagnostics.PerformanceCounter($PerfObj,$PerfCounter,$PerfCounterInst,$Server)
$objPerfCounterData = "$MonthDay" + "," + "$Year" + "," + "$Time" + "," +$objPerfCounter.NextValue()  | out-File "$LogFile" -append
