# Returns the current shadowing permissions.

$strComputer = "."

$termserv = get-wmiobject -class "Win32_TSRemoteControlSetting" -namespace "root\CIMV2\terminalservices" ` -computername #strComputer

switch ($termserv.LevelofControl)
{

   0 {"Remote Control is disabled."}
   1 {"You have full control when shadowing. The user must grant you permission."}
   2 {"You have full control when shadowing. User permission is not required."}
   3 {"You can see but cannot interact with the shadowed session. The user must grant you permission."}
   4 {"You can see but cannot interact with the shadowed session.  User permission is not required."}
   default {"The remote control permissions cannot be determined."}
}

